> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List dedicated-number countries

> Lists the countries currently offered for a dedicated Mobilerun Phone, with live stock status. Pass `country` as the `country` field on POST /numbers/phones.



## OpenAPI

````yaml /api-reference/mobilerun-numbers.yaml get /numbers/phones/countries
openapi: 3.1.0
info:
  title: Mobilerun Numbers
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /numbers/phones/countries:
    get:
      tags:
        - Numbers
      summary: List dedicated-number countries
      description: >-
        Lists the countries currently offered for a dedicated Mobilerun Phone,
        with live stock status. Pass `country` as the `country` field on POST
        /numbers/phones.
      operationId: listDedicatedCountries
      responses:
        '200':
          description: Countries retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ListDedicatedCountriesResponse'
                required:
                  - data
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
        '503':
          description: >-
            Service Unavailable — phone numbers are disabled for this deployment
            (see `reason`)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NumberErrorResponse'
components:
  schemas:
    ListDedicatedCountriesResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/DedicatedCountry'
      required:
        - items
    NumberErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        reason:
          type: string
          enum:
            - product_disabled
            - not_cancellable
        message:
          type: string
      required:
        - success
        - reason
        - message
    DedicatedCountry:
      type: object
      properties:
        country:
          type: string
        name:
          type: string
        inStock:
          type: boolean
        planId:
          type: string
      required:
        - country
        - name
        - inStock
        - planId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````